nxt

## Class Appendix.UnencryptedEncryptedMessage

- java.lang.Object
- - nxt.Appendix.AbstractAppendix
  - - nxt.Appendix.AbstractEncryptedMessage
    - - nxt.Appendix.EncryptedMessage
      - - nxt.Appendix.UnencryptedEncryptedMessage

- All Implemented Interfaces:
    Appendix, Appendix.Encryptable
  Enclosing interface:
    Appendix

      public static final class Appendix.UnencryptedEncryptedMessage
      extends Appendix.EncryptedMessage
      implements Appendix.Encryptable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nxt.Appendix

      `Appendix.AbstractAppendix, Appendix.AbstractEncryptedMessage, Appendix.Encryptable, Appendix.EncryptedMessage, Appendix.EncryptToSelfMessage, Appendix.Message, Appendix.Phasing, Appendix.Prunable, Appendix.PrunableEncryptedMessage, Appendix.PrunablePlainMessage, Appendix.PublicKeyAnnouncement, Appendix.UnencryptedEncryptedMessage, Appendix.UnencryptedEncryptToSelfMessage, Appendix.UnencryptedPrunableEncryptedMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnencryptedEncryptedMessage(byte[] messageToEncrypt, boolean isText, boolean isCompressed, byte[] recipientPublicKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encrypt(java.lang.String secretPhrase)`

    - ### Methods inherited from class nxt.Appendix.AbstractEncryptedMessage

      `getBaselineFee, getEncryptedData, isCompressed, isText`

    - ### Methods inherited from class nxt.Appendix.AbstractAppendix

      `getBaselineFeeHeight, getFullSize, getJSONObject, getNextFee, getNextFeeHeight, getSize, getVersion, isPhased, putBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.Appendix

      `hasAppendix`

- - ### Constructor Detail

    - #### UnencryptedEncryptedMessage

          public UnencryptedEncryptedMessage(byte[] messageToEncrypt,
                                             boolean isText,
                                             boolean isCompressed,
                                             byte[] recipientPublicKey)

  - ### Method Detail

    - #### encrypt

          public void encrypt(java.lang.String secretPhrase)

      Specified by:
        `encrypt` in interface `Appendix.Encryptable`